package edu.gwu.blaise.version2.backend.queries;
import java.sql.*;
/**
 * The interface that all classes that perform INSERT may implement.
 * @author Michael Gaiman
 * @version 2 1/20/2004
 */
public interface NewQuery extends SetQuery {
    /**
     * Returns the ID of the auto_increment field that was last made.  This method will return 
     * <code>null</code> if called before the execute method.
     */
    public Long getLastInsertID();
}
