package edu.gwu.blaise.version2.backend.queries;
import java.sql.*;
/**
 * The interface that all classes that perform INSERT, UPDATE, or DELETE queries implement.
 * @author Michael Gaiman
 * @version 2 1/20/2004
 */
public interface SetQuery {
    /**
     * Performs the lookup.  It first assembles the correct sql statement,
     * then it does the query and returns the ResultSet.
     * @return an int containing the number of rows in the table, or 0 if the SQL statement returns nothing.
     */
    public int execute() throws SQLException;
}
