package edu.gwu.blaise.version2.documents;
import edu.gwu.blaise.version2.util.Constants;
import java.io.File;
/**
 * Adds to the client bls file opening functionality
 * so that multiple papers can be unpacked at a time.
 * @author Michael Gaiman
 * @version 1 6/6/2004
 */
public class GraderFileHandler extends ClientFileHandler{
    private String base;
    public GraderFileHandler(){
        base=Constants.getGraderPaperDirectory();
    }
    
    /**
     * Overridden to set the paper directory to
     * Constants.getGraderPaperDirectory()/<writerID>/<paperID>/
     */
    protected String getPaperDirectory(){
        return base+paper.getWriterID()+File.separatorChar+paper.getPaperID()+File.separatorChar;
    }
}
