package edu.gwu.blaise.version2.documents;
import java.io.*;
/**
 * The MacOS X implementation for native document opening.
 * @author Michael Gaiman
 * @version 5/24/2004
 */
class OSXOpener implements OpenerInterface{
    public String open(File file) throws IOException{
        String[] array={"open",file.getCanonicalPath()};
        Process p=Runtime.getRuntime().exec(array);
        //catch p output and see if it was an error...
        int ev=0;
        try{
            ev=p.waitFor();
        }catch(InterruptedException e){}
        if(ev==0){
            return null;
        }
        else{
            //catch the stuff on the error stream and put it into a string.
            StringBuffer sb=new StringBuffer();
            LineNumberReader e=new LineNumberReader(new InputStreamReader(p.getErrorStream()));
            String s=e.readLine();
            while(s!=null){
                sb.append(s);
                s=e.readLine();
            }
            s=sb.toString();
            //take out the extra process info stuff...
            return s.substring(s.indexOf("]")+2,s.length());
        }
    }
}
