package edu.gwu.blaise.version2.grader;

import java.util.Vector;

import java.io.*;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import edu.gwu.blaise.version2.util.*;
import edu.gwu.blaise.version2.documents.*;

public class Blaise_Document_Grader extends JFrame {

	/* From the portal */
	public Blaise_Document_Grader(PortalToGraderInterface pti){
		//Sending off to real constructor
		this(pti, false);
	}
	
	/* Gets passed a PortalToGraderInterface interface class when the grader is initialized from the portal */
	public Blaise_Document_Grader(PortalToGraderInterface pti, boolean onlyGrader){
		//Set look and feel
        try {
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        } catch (Exception e) { }

		BlaiseSplitPane pane = new BlaiseSplitPane(BlaiseSplitPane.GRADER, pti.getPaper(), onlyGrader, pti);
		pane.saveFile = pti.getPaperFile();
	}

	public static void main(String[] argv){

		try{
			String file = "gradersplash.jpg";
			SplashScreen screen = new SplashScreen(file);
			screen.setVisible(true);
			/*
			try{
				Thread.sleep(Constants.getDelay());
			} catch (Exception e) {}
			 */
			new Blaise_Document_Grader(new PortalToGraderInterface(){
                                private Blaise_Paper paper=new Blaise_Paper();
                                public Blaise_Paper getPaper(){
                                    return paper;
                                }
																public File getPaperFile(){ return null; }
                                public void setStatusWorking(String paperID){}
                                public void setStatusGraded(String paperID){}
                                public void setStatusUngraded(String paperID){}
                                public void done(String paperID){}
								public GraderInfo getGraderInfo(){ return null; }
                            }
                            , true);

			screen.dispose();
		}
		catch(Exception e){}
	}
}