//LOC:34
package edu.gwu.blaise.version2.recognizer;

import java.io.*;
import java.util.*;
import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;
import javax.swing.*;

import edu.gwu.blaise.version2.util.*;

/**
 * This is the entry point class for the gesture trainer.
 *
 * @author Sean T. Hanlon
 */
public class Trainer extends JFrame{

 	public static void main(String[] argv){
		try {
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}catch (Exception e) { }

		try{
			String file = "gtsplash.jpg";
			SplashScreen screen = new SplashScreen(file);
			screen.setVisible(true);

			Recognizer_GUI gui = new Recognizer_GUI();
			gui.setVisible(false);

			try{
				Thread.sleep(Constants.getDelay());
			} catch (Exception e) {}

	        screen.dispose();
			gui.setVisible(true);
		}
		catch(Exception e){}
	}
}