package edu.gwu.blaise.version2.transmission;
import java.util.Date;

/**
 * An encapsulation of a draft structure.
 * @author Jared Kiraly
 * @version 2 6/15/2004
 */
public class DraftStructure{
    private long draftStructureID;
    private int draftNum;
    private long assignID;
    private String gradingType;
    private Date noChangeDate;
    
    public DraftStructure(long draftStructureID,
                          int draftNum,
                          long assignID,
                          String gradingType,
                          Date noChangeDate){
        this.draftStructureID=draftStructureID;
        this.draftNum=draftNum;
        this.assignID=assignID;
        this.gradingType=gradingType;
        this.noChangeDate=noChangeDate;
    }
    
    public long getDraftStructureID(){return draftStructureID;}
    public int getDraftNum(){return draftNum;}
    public long getAssignID(){return assignID;}
    public String getGradingType(){return gradingType;}
    public Date noChangeDate(){return noChangeDate;}
    
    public String toString(){
        StringBuffer sb=new StringBuffer("DraftStructure(");
        sb.append("draftStructureID:");
        sb.append(draftStructureID);
        sb.append(" draftNum:");
        sb.append(draftNum);
        sb.append(" assignID:");
        sb.append(assignID);
        sb.append(" gradingType:");
        sb.append(gradingType);
        sb.append(" noChangeDate");
        sb.append(noChangeDate);
        sb.append(")");
        return sb.toString();
    }
}
