package edu.gwu.blaise.version2.transmission;
import java.util.*;
/**
 * This class performs a PaperSearchQuery.  It provides headers of all papers that matched
 * the search parameters.
 * @author Michael Gaiman
 * @version 2 1/25/2004
 */
public interface PaperSearchQuery extends TransmissionQuery{
    /**
     * @return a Vector containing all of the papers that matched the search
     * parameters.  These papers are <b>header only</b>. The papers are in Blaise_Paper objects.
     */
    public Vector getPapers();
}
