package edu.gwu.blaise.version2.transmission;
import java.util.*;
import edu.gwu.blaise.version2.util.*;
import edu.gwu.blaise.version2.documents.*;
/**
 * This class performs a SubmitPaper query.  It adds the paper/new drafts to the database.
 * @author Michael Gaiman
 * @version 2 1/25/2004
 */

public interface SubmitPaperQuery extends TransmissionQuery{
    /**
     * @return a Blaise_Paper containing the submitted paper with new paperID and/or draftIDs.
     */
    public Blaise_Paper getUpdatedPaper();
}
