package edu.gwu.blaise.version2.util;

import java.util.Calendar;

public class Blaise_Calendar {
    
    public static String getDate(){
        
        Calendar cal = Calendar.getInstance();
        String monthVal = (new Integer(cal.get(Calendar.MONTH)+1)).toString();
        String dayVal = (new Integer(cal.get(Calendar.DAY_OF_MONTH))).toString();
        String yearVal = (new Integer(cal.get(Calendar.YEAR))).toString();
        String hourVal = (new Integer(cal.get(Calendar.HOUR))).toString();
        String minuteVal = (new Integer(cal.get(Calendar.MINUTE))).toString();
        String secondVal = (new Integer(cal.get(Calendar.SECOND))).toString();
        String ampmVal = (new Integer(cal.get(Calendar.AM_PM))).toString();		//0:AM, 1:PM
        
		//Format Date String
        StringBuffer buffer = new StringBuffer();
        
		//add year
        buffer.append(yearVal);
        buffer.append(":");
        
		//add month
        if(monthVal.length() == 1){
            buffer.append("0");
        }
        buffer.append(monthVal);
        buffer.append(":");
        
		//add day
        if(dayVal.length() == 1){
            buffer.append("0");
        }
        buffer.append(dayVal);
        buffer.append(" ");
        
		//Format Hour
		//in pm, add 12 to hour to create military time
        if(ampmVal.compareTo("1") == 0){
            try{
                int intVal = Integer.parseInt(hourVal);
                intVal = intVal + 12;
                hourVal = (new Integer(intVal)).toString();
            }
            catch(NumberFormatException e){
                System.err.println("NumberFormatException: "+ e);
            }
        }
		//add hour
        if(hourVal.length() == 1){
            buffer.append("0");
        }
        buffer.append(hourVal);
        buffer.append(":");
        
		//add minute
        if(minuteVal.length() == 1){
            buffer.append("0");
        }
        buffer.append(minuteVal);
        buffer.append(":");
        
		//add second
        if(secondVal.length() == 1){
            buffer.append("0");
        }
        buffer.append(secondVal);
        
        return buffer.toString();
    }
    
    public static void main(String[] argv){
        
        System.out.println(Blaise_Calendar.getDate());
    }
}