package edu.gwu.blaise.version2.util;
import javax.swing.event.*;
import javax.swing.*;
import java.awt.event.*;
/**
 * Select all rows in a table.
 * @author Michael Gaiman
 * @version 1 6/10/2004
 */
public class SelectAllAction extends AbstractAction{
    public static final String NAME="select-all-action";
    private JTable table;
    public SelectAllAction(JTable table){
        super(NAME);
        this.table=table;
        putValue(Action.SHORT_DESCRIPTION,"Select all papers in search results");
        putValue(Action.ACTION_COMMAND_KEY,NAME);
    }
    
    public void actionPerformed(ActionEvent ae){
        table.selectAll();
    }
}
