//LOC:43
package edu.gwu.blaise.version2.util;

import java.awt.*;
import javax.swing.*;

/**
 * SplashScreen is used to display a pop-up window
 *
 * @author Sean T. Hanlon
 */
public class SplashScreen extends JWindow {

    public javax.swing.JPanel pnlIcon;
    public javax.swing.JLabel lblIcon;

	/** Constructor */
    public SplashScreen(String file) {

		String path = Constants.getIconPath() + file;	//get image
        setName("");	//no need for a name

		//Setup components
        pnlIcon = new JPanel();
        lblIcon = new JLabel();
        getContentPane().setLayout(new FlowLayout(FlowLayout.LEFT, 0, 0));
        pnlIcon.setLayout(new FlowLayout(FlowLayout.LEFT, 0, 0));

        lblIcon.setIcon(new ImageIcon(path));
        pnlIcon.add(lblIcon);
        getContentPane().add(pnlIcon);

        pack();

		//Place at rough center of screen
        Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();
        setSize(new Dimension(500, 310));
        setLocation((screenSize.width - 500)/2,(screenSize.height - 400)/2);
    }
}
