package edu.gwu.servlets;
/**
 *  Here is where a path to the properties file should
 *  be hardcoded.  After adjusting the path variables
 *  a recompile of this class will be needed.  To accomplish this
 *  issue the following command while in the directory of the
 *  java file: <code>$ javac PropFileLocator.java</code>
 *
 *  @author Michael Gaiman
 */
 
public final class PropFileLocator{
    
   
    /**
     * Points to the directory that contains the properties file.  It should end in "/"
     *
     * For Example: <code>"/usr/local/jakarta-tomcat-4.1.24/webapps/myApp/WEB-INF/"</code>
     */
    public static String propFileDir = "/usr/local/jakarta-tomcat-5.0.28/webapps/blaise/WEB-INF/";
    
    /**
     * The actual properties file.
     *
     * For Example: <code>"myApp.properties"
     */
     public static String propFileName = "blaise.properties";
}
