package edu.gwu.blaise.version2.backend.packagers;
/**
 * Contains all of the various commands, and fieldtypes that can be specified for
 * PackageSomeType classes.
 *
 * @author Michael Gaiman
 * @version 2 Jan 19, 2004
 */

public class PackagingConstants {

    /**
     * Limits all requests to concern only the writer's own stuff.
     */
    public static final String LIMIT_writer="LIMIT_writer";
    
    /**
     * Limits all requests to concern only the grader's own stuff.
     */
    public static final String LIMIT_grader="LIMIT_grader";
    
    /**
     * Limits all requests to things admins can/cannot do.
     */
    public static final String LIMIT_admin="LIMIT_admin";
    
    public static final String TABLE_writer="TABLE_writer";
    public static final String TABLE_grader="TABLE_grader";
    public static final String TABLE_course="TABLE_course";
    public static final String TABLE_admin="TABLE_admin";
    public static final String TABLE_university="TABLE_university";
    public static final String TABLE_ctg="TABLE_ctg";
    public static final String TABLE_ctw="TABLE_ctw";
    public static final String TABLE_checkout="TABLE_checkout";
    public static final String TABLE_paper="TABLE_paper";
    public static final String TABLE_draft="TABLE_draft";
    public static final String TABLE_comment="TABLE_comment";
    public static final String TABLE_eq="TABLE_eq";
    public static final String TABLE_assignment="TABLE_assignment";
    public static final String TABLE_ds="TABLE_ds";
    public static final String TABLE_wag="TABLE_wag";
    public static final String TABLE_staging="TABLE_staging";

}
