package edu.gwu.blaise.version2.documents;
import java.io.*;
/**
 * The interface that all Native Document Openers shall implement.
 * @author Michael Gaiman
 * @version 5/24/2004
 */
interface OpenerInterface{
    /**
     * Causes the specified file to be opened in its default application.
     * @returns a string containing any error messages, or null if the opening
     * was successful.
     */
    public String open(File file) throws IOException;
}
