#Causes the standard (Harry Potter) set of data, to be reverted back to its initial state.

DELETE FROM writer WHERE writerID<=3;
DELETE FROM grader WHERE graderID<=3;
DELETE FROM admin WHERE adminID=1;
DELETE FROM course WHERE courseID<=5;
DELETE FROM university WHERE universityID=1;
#DELETE draft FROM draft d, paper p WHERE d.paperID=p.paperID AND p.writerID<=3;
DELETE FROM draft WHERE draftID<=36 OR paperID<=18;
DELETE FROM paper WHERE paperID<=18 OR writerID<=3;
DELETE FROM comment WHERE draftID<=36 OR paperID<=18 OR graderID<=3;
DELETE FROM checkout WHERE graderID<=3;
DELETE FROM course_to_writer WHERE writerID<=3;
DELETE FROM course_to_grader WHERE graderID<=3;
DELETE FROM emailQueue WHERE paperID<=18;
DELETE FROM writer_as_grader WHERE writerAsGraderID<=23;
DELETE FROM assignment WHERE assignID<=10;
DELETE FROM draft_structure WHERE draftStructureID<=41;
DELETE FROM staging WHERE stagingID<=10;

#insert standard values

#load up standard data (directories of data files may need to be configured)
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/writer2.txt' INTO TABLE writer;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/grader2.txt' INTO TABLE grader;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/admin2.txt' INTO TABLE admin;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/university2.txt' INTO TABLE university;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/course2.txt' INTO TABLE course;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/ctw2.txt' INTO TABLE course_to_writer;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/ctg2.txt' INTO TABLE course_to_grader;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/paper2.txt' INTO TABLE paper;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/draft2.txt' INTO TABLE draft;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/wag2.txt' INTO TABLE writer_as_grader;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/assignment2.txt' INTO TABLE assignment;
LOAD DATA INFILE '/home/jkiraly/jakarta-tomcat-5.0.18/webapps/blaise/WEB-INF/classes/edu/gwu/blaise/version2/standard/ds2.txt' INTO TABLE draft_structure;
