package edu.gwu.blaise.version2.transmission;
import java.util.Date;
/**
 * A wrapper class for grader related data.
 * @author Michael Gaiman
 * @version 2 1/25/2004
 */
public class Grader {
    long graderID;
    Date creationDate;
    int universityID;
    String firstName;
    String lastName;
    String userName;
    String email;
    String status;
    Date similarityCheckedDate;
    
    public Grader(long graderID,
                    Date creationDate,
                    int universityID,
                    String firstName,
                    String lastName,
                    String userName,
                    String email,
                    String status,
                    Date similarityCheckedDate){
                    
        this.graderID=graderID;
        this.creationDate=creationDate;
        this.universityID=universityID;
        this.firstName=firstName;
        this.lastName=lastName;
        this.userName=userName;
        this.email=email;
        this.status=status;
        this.similarityCheckedDate=similarityCheckedDate;
    }
    
    public long getGraderID(){return graderID;}
    public Date getCreationDate(){return creationDate;}
    public int getUniversityID(){return universityID;}
    public String getFirstName(){return firstName;}
    public String getLastName(){return lastName;}
    public String getUserName(){return userName;}
    public String getEmail(){return email;}
    public String getStatus(){return status;}
    public Date getSimilarityCheckedDate(){return similarityCheckedDate;}
    
    public String toString(){
        StringBuffer sb=new StringBuffer("grader(");
        sb.append("graderID:");
        sb.append(graderID);
        sb.append(" creationDate:");
        sb.append(creationDate);
        sb.append(" universityID:");
        sb.append(universityID);
        sb.append(" firstName:");
        sb.append(firstName);
        sb.append(" lastName:");
        sb.append(lastName);
        sb.append(" userName:");
        sb.append(userName);
        sb.append(" email:");
        sb.append(email);
        sb.append(" status:");
        sb.append(status);
        sb.append(" similarityCheckedDate:");
        sb.append(similarityCheckedDate);
        return sb.toString();
    }
}
