package edu.gwu.blaise.version2.transmission;
import java.util.Date;
import java.util.Vector;
/**
 * A wrapper class for writer related data.
 * @author Michael Gaiman
 * @version 2 1/25/2004
 */
public class Writer {
    long writerID;
    int universityID;
    String studentIdentifier;
    String firstName;
    String lastName;
    String userName;
    String email;
    String userNameType;
    Date creationDate;
    //the rowIDs from writer_as_grader where this writer is the grader
    Vector writerAsGraderIDs;
    
    public Writer(long writerID,
                    int universityID,
                    String studentIdentifier,
                    String firstName,
                    String lastName,
                    String userName,
                    String email,
                    String userNameType,
                    Date creationDate,
                    Vector writerAsGraderIDs){
                    
        this.writerID=writerID;
        this.universityID=universityID;
        this.studentIdentifier=studentIdentifier;
        this.firstName=firstName;
        this.lastName=lastName;
        this.userName=userName;
        this.email=email;
        this.userNameType=userNameType;
        this.creationDate=creationDate;
        this.writerAsGraderIDs=writerAsGraderIDs;
    }
    
    public long getWriterID(){return writerID;}
    public int getUniversityID(){return universityID;}
    public String getStudentIdent(){return studentIdentifier;}
    public String getFirstName(){return firstName;}
    public String getLastName(){return lastName;}
    public String getUserName(){return userName;}
    public String getEmail(){return email;}
    public String getUserNameType(){return userNameType;}
    public Date getCreationDate(){return creationDate;}
    public Vector getWriterAsGraderIDs(){return writerAsGraderIDs;}
    
    public void addWriterAsGraderID(Long ID){
        writerAsGraderIDs.add(ID);
    }
    public void removeWriterAsGraderID(Long ID){
        writerAsGraderIDs.removeElement(ID);
    }
    
    
    public String toString(){
        StringBuffer sb=new StringBuffer("writer(");
        sb.append("writerID:");
        sb.append(writerID);
        sb.append(" universityID:");
        sb.append(universityID);
        sb.append(" studentIdentifier:");
        sb.append(studentIdentifier);
        sb.append(" firstName:");
        sb.append(firstName);
        sb.append(" lastName:");
        sb.append(lastName);
        sb.append(" userName:");
        sb.append(userName);
        sb.append(" email:");
        sb.append(email);
        sb.append(" userNameType:");
        sb.append(userNameType);
        sb.append(" creationDate:");
        sb.append(creationDate);
        sb.append(" writerAsGraderIDs:");
        sb.append(writerAsGraderIDs);
        sb.append(")");
        return sb.toString();
    }
}
