package edu.gwu.blaise.version2.util;
/**
 * Implemented by classes that are interested in nowing about
 * changes to the draft view.
 * You must register (and unregister) with a BlaiseDraftView object.
 * @author Michael Gaiman
 * @version 1 5/31/2004
 */
public interface DraftViewListener extends java.util.EventListener{
    
    /**
     * Called when there is a change to the draft view.
     */
    public void draftViewChanged(DraftViewEvent e);

}
